<!DOCTYPE html>
<html lang="en" dir="ltr" xmlns:th="http://www.thymeleaf.org"
      xmlns:sec="http://www.thymeleaf.org/extras/spring-security">

<head>
    <meta charset="utf-8"/>
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no"/>
    <meta name="description" content=""/>
    <meta name="author" content=""/>
    <title>Safety Car</title>
    <link rel="icon" type="image/x-icon" th:href="@{/assets/img/favicon.ico}" href="../static/assets/img/favicon.ico"/>
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js"
            th:src="@{https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js}"></script>

    <script src="https://use.fontawesome.com/releases/v5.13.0/js/all.js" crossorigin="anonymous"></script>
    <link rel="stylesheet" th:href="@{https://fonts.googleapis.com/css?family=Merriweather+Sans:400,700}"/>
    <link rel="stylesheet" type="text/css"
          th:href="@{https://fonts.googleapis.com/css?family=Merriweather:400,300,300italic,400italic,700,700italic}"/>
    <link rel="stylesheet"
          th:href="@{https://cdnjs.cloudflare.com/ajax/libs/magnific-popup.js/1.1.0/magnific-popup.min.css}"/>
    <link rel="stylesheet" th:href="@{https://stackpath.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css}"/>
    <link rel="stylesheet" th:href="@{/css/my-policies.css}" href="../static/css/my-policies.css"/>
    <link rel="stylesheet" th:href="@{https://cdn.jsdelivr.net/npm/daterangepicker/daterangepicker.css}" type="text/css"
          href="https://cdn.jsdelivr.net/npm/daterangepicker/daterangepicker.css"/>
    <script type="text/javascript" th:src="@{https://cdn.jsdelivr.net/jquery/latest/jquery.min.js}"
            src="https://cdn.jsdelivr.net/jquery/latest/jquery.min.js"></script>
    <script type="text/javascript" th:src="@{https://cdn.jsdelivr.net/momentjs/latest/moment.min.js}"
            src="https://cdn.jsdelivr.net/momentjs/latest/moment.min.js"></script>
    <script type="text/javascript" th:src="@{https://cdn.jsdelivr.net/npm/daterangepicker/daterangepicker.min.js}"
            src="https://cdn.jsdelivr.net/npm/daterangepicker/daterangepicker.min.js"></script>
    <link th:rel="stylesheet" th:href="@{assets/daterangepicker/daterangepicker.css}"/>
    <link th:rel="stylesheet" th:href="@{webjars/bootstrap/4.0.0-2/css/bootstrap.min.css} "/>
    <link th:rel="stylesheet" th:href="@{webjars/font-awesome/5.11.2/css/all.css} "/>
    <link rel="stylesheet" th:href="@{/css/navigation.css}" href="../static/css/navigation.css">


</head>
<body>
<div th:replace="fragments/navigation-bar.html :: header"></div>

<header class="masthead">
    <div class="container h-100">
        <div class="row h-100 align-items-center justify-content-center text-center">
            <div class="col-lg-10 align-self-end">
                <h1 class="text-uppercase text-white font-weight-bold">Manage user requests</h1>
                <hr class="divider my-4"/>
            </div>
            <div class="col-lg-8 align-self-baseline">
                <p class="text-white-75 font-weight-light mb-5"></p>
            </div>
        </div>
    </div>
</header>

<a class="" data-toggle="collapse" href="#collapseExample" role="button" aria-expanded="false"
   aria-controls="collapseExample"><h4 class="text-body ml-4 mt-4 mb-2">Filters</h4>

</a>
<div class="collapse" id="collapseExample">
    <form th:object="${searchDTO}" th:action="@{/agent/requests/search}" class="ml-4 mr-4 mt-4" method="post">
        <div class="form-row mt-0 pt-0 mb-0">
            <div class="form-group col-md-2">
                <label for="username-input">Email</label>
                <input th:field="*{username}" id="username-input"
                       class="form-control">
            </div>
            <div class="form-group col-md-2">
                <label for="firstname-input">First name</label>
                <input th:field="*{firstName}" id="firstname-input"
                       class="form-control">
            </div>
            <div class="form-group col-md-2">
                <label for="lastname-input">Last name</label>
                <input th:field="*{lastName}" id="lastname-input"
                       class="form-control">
            </div>
            <div class="form-group col-md-3">
                <label for="requestedDateRange">Policy requested date</label>
                <div class="input-group">
                    <input type="text" class="form-control" id="requestedDateRange" autocomplete="off"/>
                    <div class="input-group-append">
                        <span class="input-group-text"><i class="far fa-calendar-alt"></i></span>
                    </div>
                </div>
                <input type="hidden" name="requestedDateFrom" th:field="*{requestedDateFrom}"/>
                <input type="hidden" name="requestedDateTo" th:field="*{requestedDateTo}"/>
            </div>
            <div class="form-group col-md-3">
                <label for="startDateRange">Policy start date</label>
                <div class="input-group">
                    <input type="text" class="form-control" id="startDateRange" autocomplete="off"/>
                    <div class="input-group-append">
                        <span class="input-group-text"><i class="far fa-calendar-alt"></i></span>
                    </div>
                </div>
                <input type="hidden" name="requestedDateFrom" th:field="*{startDateFrom}"/>
                <input type="hidden" name="requestedDateTo" th:field="*{startDateTo}"/>
            </div>

        </div>
        <div class="form-row mb-3">
            <div class="form-group col-md-1">
                <label for="policy-number">Policy #</label>
                <input th:field="*{policyId}" id="policy-number" class="form-control"
                       type="text">
            </div>
            <div class="form-group col-md-2">
                <label for="policy-status">Policy status</label>
                <select th:field="*{statusId}" id="policy-status"
                        class="form-control"
                        type="number">
                    <option th:value="0" th:text="Status"></option>
                    <option th:each="status: ${statuses}" th:value="${status.id}" th:unless="${status.id} == 1"
                            th:text="${status.type.toString().toLowerCase()}"></option>
                </select>
            </div>
            <div class="form-group col-md-2">
                <label for="premium-input-min">Premium min</label>
                <input th:field="*{premiumMin}" id="premium-input-min"
                       type="number" class="form-control">
            </div>
            <div class="form-group col-md-2">
                <label for="premium-input-max">Premium max</label>
                <input th:field="*{premiumMax}" id="premium-input-max"
                       type="number" class="form-control">
            </div>
            <!--            <div class="form-group col-md-2">-->
            <!--                <label for="sort-dropdown">Order by</label>-->
            <!--                <select id="sort-dropdown" class="form-control mr-sm-2">-->
            <!--                    <option selected th:value="0">Select...</option>-->
            <!--                    <option value="1">Email Asc</option>-->
            <!--                    <option value="2">Email Desc</option>-->
            <!--                    <option value="3">Premium Asc</option>-->
            <!--                    <option value="4">Premium Desc</option>-->
            <!--                </select>-->
            <!--            </div>-->
            <div class="form-group ml-2" style="margin-top: 2rem !important;">
                <button class="btn btn-primary my-2 my-sm-0" type="submit">Search</button>
                <a class="btn btn-primary my-2 my-sm-0" th:href="@{/agent/requests}">Clear all filters</a>
            </div>
        </div>
    </form>
</div>

<div class="page-section pt-3">
    <div th:if="${policies.isEmpty()}">
        <p class="ml-4 mr-4 text-muted font-weight-normal ">There are currently no policies to review.</p>
    </div>
    <div class="row ml-2 mr-3" th:unless="${policies.isEmpty()}">
        <div class="card col-sm-3 m-3" th:each="policy : ${policies}">
            <div class="card-body">
                <h5 class="card-title"
                    th:text="'Policy #' + ${policy.id} + '/ requested ' +
                    ${policy.requestedDate.toString().replace('.0', '').replace(' ', ' at ')}">
                    Policy #1/ 2020-10-19 </h5>
                <p class="card-text m-1"
                   th:text="'Client: ' + ${policy.owner.firstName} + ' ' + ${policy.owner.lastName}">Client: John
                    Hopkins</p>
                <p class="card-text m-1" th:text="'Car: ' + ${policy.car.model.brand.name} + ' ' +
                ${policy.car.model.name}">Car: Audi A3</p>
                <p class="card-text m-1" th:text="'Registration number: ' + ${policy.car.registrationNumber} ">
                    Registration number: CO1253TA</p>
                <p class="card-text m-1" th:text="'Cubic capacity: ' + ${policy.car.cubicCapacity} ">Cubic capacity:
                    12345</p>
                <p class="card-text m-1" th:text="'Registration date: ' + ${policy.car.registrationDate}">
                    Registration date: 1019-07-15</p>
                <p class="card-text m-1" th:text="'Premium amount: ' + ${policy.premiumAmount} + ' BGN'">Premium amount:
                    1234
                    BGN</p>
                <p class="card-text m-1"
                   th:text="'Policy status: ' + ${policy.status.type.toString().toLowerCase()} ">Policy status:
                    Generated</p>
                <p class="card-text m-1" th:text="'Start date: ' + ${policy.startDate.toString()}">Start date:
                    2020-10-10</p>
                <p class="card-text m-1 mb-3" th:if="${policy.agent != null}"
                   th:text="'Agent: ' + ${policy.agent.firstName} + ' ' + ${policy.agent.lastName}">Agent:
                    John Hopkins</p>
                <p class="card-text m-1 mb-3" th:unless="${policy.agent != null}"
                   th:text="'Agent: Not assigned'">Agent: Not assigned</p>
                <div class="row">
                    <div class="col-sm-auto m-1">
                        <a class="btn btn-primary text-white"
                           th:onclick="'javascript:openDetails('+${policy.getId()}+')'">View details</a>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
<script>
    function openDetails(inputID) {
        location.href = '/policy/details/' + inputID;
    }
</script>

<script th:src="@{/webjars/jquery/jquery.min.js}"></script>
<script th:src="@{/webjars/popper.js/umd/popper.min.js}"></script>
<script th:src="@{/webjars/bootstrap/js/bootstrap.min.js}"></script>
<script th:src="@{assets/moment/moment.min.js}"></script>
<script th:src="@{assets/daterangepicker/daterangepicker.js}"></script>
<script>
    var $dateRange = $('#requestedDateRange');

    $dateRange.daterangepicker();
    $dateRange.on('apply.daterangepicker', function (ev, picker) {
        $('input[name="requestedDateFrom"]').val(picker.startDate.format('YYYY/MM/DD'));
        $('input[name="requestedDateTo"]').val(picker.endDate.format('YYYY/MM/DD'));
    });
</script>
<script>
    var $dateRange = $('#startDateRange');

    $dateRange.daterangepicker();
    $dateRange.on('apply.daterangepicker', function (ev, picker) {
        $('input[name="startDateFrom"]').val(picker.startDate.format('YYYY/MM/DD'));
        $('input[name="startDateTo"]').val(picker.endDate.format('YYYY/MM/DD'));
    });
</script>


<script src="https://cdnjs.cloudflare.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script>
<script src="https://stackpath.bootstrapcdn.com/bootstrap/4.5.0/js/bootstrap.bundle.min.js"></script>
<script src="https://cdnjs.cloudflare.com/ajax/libs/jquery-easing/1.4.1/jquery.easing.min.js"></script>
<script src="https://cdnjs.cloudflare.com/ajax/libs/magnific-popup.js/1.1.0/jquery.magnific-popup.min.js"></script>
<script type="text/javascript" th:src="@{/js/scripts.js}" src="../static/js/scripts.js"></script>
</body>
</html>
